#pragma once

#include <SDL2/SDL.h>
#include "../COMMON.h"

#define STRING_FILE_READ_OPEN "[INFO] Opened file to read: %s\n"
#define STRING_FILE_CLOSED "[INFO] Closed file: %s\n"
#define STRING_FILE_READ_SUCCESS "[INFO] Read from file: %s\n"
#define STRING_FILE_READ_ERROR "[ERROR] Unable to read from file: %s\n"
#define STRING_FILE_WRITE_OPEN "[INFO] Opened file to write: %s\n"
#define STRING_FILE_WRITE_ERROR "[ERROR] Unable to write to file: %s\n"
#define STRING_FILE_WRITE_SUCCESS "[INFO] Wrote to file: %s\n"

bool file_read(const char* path, void* buffer, size_t size, const char* mode);
bool file_write(const char* path, void* data, size_t size, const char* mode);
