#include "component_stamina.h"

void
component_stamina_init(ComponentStamina* self, ECS* ecs, f32 max, f32 gain)
{
	self->value = max;
	self->max = max;
	self->gain = gain;
}

void
component_stamina_tick(ComponentStamina* self, ECS* ecs)
{
	self->value += self->gain;
	self->value = MAX(self->value, self->max);
}
