#pragma once

#include "component_physics.h"

#include "../../../input/input.h"

typedef struct ComponentCopyMousePosition
{
	Component component;
} ComponentCopyMousePosition;

void component_copy_mouse_position_add(ComponentCopyMousePosition* self, ECS* ecs);
void component_copy_mouse_position_tick(ComponentCopyMousePosition* self, ECS* ecs);

static const ComponentInfo COMPONENT_COPY_MOUSE_POSITION_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			(ECSFunction)component_copy_mouse_position_add,
			NULL,
			(ECSFunction)component_copy_mouse_position_tick,
			NULL,
			NULL
		}
	},
	.type = COMPONENT_COPY_MOUSE_POSITION,
	.size = sizeof(ComponentCopyMousePosition)
};
