#pragma once

#include "component_texture_quad.h"

typedef struct ComponentRotate
{
	Component component;
	f32 speed;
} ComponentRotate;

void component_rotate_add(ComponentRotate* self, ECS* ecs);
void component_rotate_delete(ComponentRotate* self, ECS* ecs);
void component_rotate_tick(ComponentRotate* self, ECS* ecs);

void
component_rotate_init
(
	ComponentRotate* self, 
	ECS* ecs,
	f32 speed
);

static const ComponentInfo COMPONENT_ROTATE_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL,
			(ECSFunction)component_rotate_tick,
			NULL,
			NULL
		}
	},
	.type = COMPONENT_ROTATE,
	.size = sizeof(ComponentRotate)
};
