#pragma once

#include "../visual/entity_sprite_atlas.h"

#define FOLIAGE_TYPE_COUNT 6
typedef enum FoliageType
{
	FOLIAGE_BIG_PILE,
	FOLIAGE_SMALL_PILE,
	FOLIAGE_BIG_ROCK,
	FOLIAGE_SMALL_ROCK,
	FOLIAGE_BIG_GRASS,
	FOLIAGE_SMALL_GRASS
} FoliageType;

static const vec2 ENTITY_FOLIAGE_SIZE = {128.0f, 128.0f};
static const ivec2 ENTITY_FOLIAGE_ATLAS_FRAME_SIZE = {32, 32};
static const ivec2 ENTITY_FOLIAGE_ATLAS_SIZE = {1, 6};

EntityID entity_foliage_add(ECS* ecs, const vec3 position, FoliageType type);
