#include "entity_trap.h"

EntityID
entity_trap_add(ECS* ecs, const vec3 position)
{
	EntityID id;

	id = ecs_entity_add(ecs);

	ecs_components_add(ecs, ENTITY_TRAP_DEPENDENCIES, ENTITY_TRAP_DEPENDENCY_COUNT, id);
	
	component_plane_object_init
	(
		ecs_component_get(ecs, COMPONENT_PLANE_OBJECT, id), 
		ecs, 
		&ecs->resources->textures[TEXTURE_TRAP], 
		ENTITY_TRAP_SIZE, 
		position,
		ENTITY_TRAP_RADIUS
	);

	return id;
}
