#pragma once

#include "../../component/visual/component_text.h"
#include "../../component/visual/component_dialogue.h"

#define ENTITY_DIALOGUE_DEPENDENCY_COUNT 2
static const ComponentType ENTITY_DIALOGUE_DEPENDENCIES[ENTITY_DIALOGUE_DEPENDENCY_COUNT] =
{
	COMPONENT_TEXT,
	COMPONENT_DIALOGUE
};

EntityID
entity_dialogue_add
(
	ECS* ecs, 
	Font* font, 
	RendererBuffer buffer, 
	const char* string, 
	const vec3 position,
	u32 wrap,
	u32 speed
);
