#include "resource_font.h"

bool
resource_font_init(Resources* self, FontType type)
{
	if (!font_init(&self->fonts[type], FONT_PATHS[type], FONT_SIZES[type]))
	{
		printf(STRING_RESOURCE_FONT_ERROR, FONT_PATHS[type]);
		return false;
	}

	printf(STRING_RESOURCE_FONT_INIT, FONT_PATHS[type]);

	return true;
}

void
resource_font_free(Resources* self, FontType type)
{
	if (self->fonts[type].isInit)
	{
		font_free(&self->fonts[type]);
		printf(STRING_RESOURCE_FONT_FREE, FONT_PATHS[type]);
	}
}
