#include "resource_music.h"

bool
resource_music_init(Resources* self, MusicType type)
{
	if (!music_init(&self->music[type], MUSIC_PATHS[type]))
	{
		printf(STRING_RESOURCE_MUSIC_ERROR, MUSIC_PATHS[type]);
		return false;
	}

	printf(STRING_RESOURCE_MUSIC_INIT, MUSIC_PATHS[type]);

	return true;
}

void
resource_music_free(Resources* self, MusicType type)
{
	if (self->music[type].isInit)
	{
		music_free(&self->music[type]);

		printf(STRING_RESOURCE_MUSIC_FREE, MUSIC_PATHS[type]);
	}
}
