#pragma once

#include "RESOURCE_COMMON.h"

#define SHADER_BUFFER_SIZE 2048

#define STRING_RESOURCE_SHADER_ERROR "[ERROR] Unable to initialize shader resource: %s & %s\n"
#define STRING_RESOURCE_SHADER_FREE "[INFO] Freed shader resource: %s & %s\n"
#define STRING_RESOURCE_SHADER_INIT "[INFO] Initialized shader resource: %s & %s\n"

void resource_shader_free(Resources* self, ShaderType type);
bool resource_shader_init(Resources* self, ShaderType type);
void resource_shader_read(Resources* self);
