#pragma once

#include "LEVEL_COMMON.h"

static const f32 LEVEL_TEXT_QUEUE_TIMER = 900;
static const vec3 LEVEL_TEXT_QUEUE_POSITION = {25.0f, 675.0f, 0.0f};

void level_text_queue_set(Level* self);
void level_text_queue_add(Level* self, const char* string);
void level_text_queue_clear(Level* self);
void level_text_queue_init(Level* self);
void level_text_queue_tick(Level* self);
void level_text_queue_free(Level* self);
