#pragma once

#include <SDL2/SDL.h>

#include "../COMMON.h"

#define EVENT_COUNT (EVENT_QUIT + 1)
typedef enum EventType
{
        EVENT_QUIT
} EventType;

typedef struct Event
{
        bool current[EVENT_COUNT];
        bool previous[EVENT_COUNT];
} Event;

void event_update(Event* self);
bool event_press(Event* self, EventType type);
bool event_held(Event* self, EventType type);
bool event_release(Event* self, EventType type);
