#pragma once

#include "rbo.h"
#include "texture.h"

typedef struct FBO
{
	GLuint handle;
} FBO;

void fbo_init(FBO* self);
void fbo_bind(FBO* self);
void fbo_unbind(void);
void fbo_free(FBO* self);
void fbo_rbo_set(RBO* rbo);
void fbo_texture_set(Texture* texture);
