#pragma once

#include <GL/glew.h>
#include <GL/gl.h>

#include "../COMMON.h"

typedef struct RBO
{
	GLuint handle;
} RBO;

void rbo_init(RBO* self);
void rbo_bind(RBO* self);
void rbo_unbind(void);
void rbo_free(RBO* self);
void rbo_storage_set(RBO* self, ivec2 size);
