#include "component_timer.h"

void
component_timer_init(ComponentTimer* self, ECS* ecs, s32 value)
{
	self->value = value;
	self->startValue = value;
	self->isFinished = false;
}

void
component_timer_tick(ComponentTimer* self, ECS* ecs)
{
	if (self->isFinished)
		return;

	if (self->value <= 0)
	{
		self->isFinished = true;
		self->value = 0;
		return;
	}

	self->value--;
}
