#include "entity_button.h"

EntityID
entity_button_add(ECS* ecs, Texture* texture, vec2 size, vec3 position)
{
	EntityID id;

	id = ecs_entity_add(ecs);

	ecs_components_add(ecs, ENTITY_BUTTON_DEPENDENCIES, ENTITY_BUTTON_DEPENDENCY_COUNT, id);

	component_game_object_init
	(
		ecs_component_get(ecs, COMPONENT_TEXTURE_QUAD, id), 
		ecs, 
		texture, 
		ENTITY_BUTTON_BUFFER,
		ORIGIN_CENTER,
		size, 
		position
	);

	return id;
}
