#include "entity_medal.h"

EntityID
entity_medal_add(ECS* ecs, vec3 position, u32 index)
{
	EntityID id;

	id = entity_sprite_atlas_add
	(
		ecs,
		&ecs->resources->textures[TEXTURE_MEDALS],
		RENDERER_BUFFER_UI,
		ORIGIN_CENTER,
		ENTITY_MEDAL_SIZE,
		position,
		ENTITY_MEDAL_ATLAS_FRAME_SIZE,
		ENTITY_MEDAL_ATLAS_SIZE,
		index
	);

	return id;
}
