#pragma once

#include "../../component/visual/component_color_change.h"
#include "../../component/utility/component_delete_on_timer.h"
#include "entity_text.h"

EntityID
entity_text_queue_entry_add
(
	ECS* ecs, 
	Font* font, 
	RendererBuffer buffer, 
	const char* string, 
	const vec3 position,
	u32 wrap,
	u32 timer
);

#define ENTITY_TEXT_QUEUE_ENTRY_DEPENDENCY_COUNT 1
static const ComponentType ENTITY_TEXT_QUEUE_ENTRY_DEPENDENCIES[ENTITY_TEXT_QUEUE_ENTRY_DEPENDENCY_COUNT] =
{
	COMPONENT_DELETE_ON_TIMER
};
