#include "entity_value_text.h"

EntityID
entity_value_text_add
(
	ECS* ecs, 
	Font* font,
	RendererBuffer buffer,
	const vec3 position, 
	ComponentType componentType, 
	ComponentValueTextType valueTextType, 
	const char* format, 
	EntityID valueTextID
)
{
	EntityID id;

	id = ecs_entity_add(ecs);
	
	ecs_components_add(ecs, ENTITY_VALUE_TEXT_DEPENDENCIES, ENTITY_VALUE_TEXT_DEPENDENCY_COUNT, id);

	component_value_text_init
	(
		ecs_component_get(ecs, COMPONENT_VALUE_TEXT, id),
		ecs,
		font,
		buffer,
		position,
		componentType,
		valueTextType,
		format,
		valueTextID
	);

	return id;
}
