#include "resource_sound.h"

bool
resource_sound_init(Resources* self, SoundType type)
{
	if (!sound_init(&self->sounds[type], SOUND_PATHS[type]))
	{
		printf(STRING_RESOURCE_SOUND_ERROR, SOUND_PATHS[type]);
		return false;
	}

	printf(STRING_RESOURCE_SOUND_INIT, SOUND_PATHS[type]);

	return true;
}

void
resource_sound_free(Resources* self, SoundType type)
{
	if (self->sounds[type].isInit)
	{
		sound_free(&self->sounds[type]);

		printf(STRING_RESOURCE_SOUND_FREE, SOUND_PATHS[type]);
	}
}
