#pragma once

#include "../../ecs/entity/visual/entity_dialogue.h"
#include "../../ecs/entity/visual/entity_text_disappearing.h"
#include "../../ecs/entity/ui/entity_cursor.h"

#define SCENE_STRING_MAX 256

typedef struct Scene
{
	TextureType texture;
	const char* string;
} Scene;

typedef struct SceneCollection
{
	const Scene* scenes;
	u32 count;
} SceneCollection;

typedef struct Cutscene
{
	ECS* ecs;
	EntityID cursor;
	EntityID dialogue;
	EntityID sprite;
	SceneCollection sceneCollection;
	bool isFinished;
	u32 sceneIndex;
} Cutscene;
