#pragma once

#include "../../ecs/entity/visual/entity_text.h"
#include "../../ecs/entity/visual/entity_sprite.h"
#include "../../ecs/entity/ui/entity_cursor.h"

#define ENDING_COUNT ENDING_THREE + 1
typedef enum EndingType
{
	ENDING_ONE,
	ENDING_TWO,
	ENDING_THREE
} EndingType;

typedef struct Ending
{
	ECS* ecs;
	EntityID cursor;
	EntityID text;
	EntityID tipText;
	EntityID bg;
	bool isFinished;
} Ending;
